package com.sf.mapper;


import com.sf.entity.SysRole;

import java.util.List;

/**
 * @author WanJl
 * @version 1.0
 * @title SysRoleMapper
 * @description
 * @create 2025/11/16
 */
public interface SysRoleMapper {
    /**
     * 查询所有角色信息，以及该角色下的用户列表
     * @return
     */
    List<SysRole> findAll();

    /**
     * 根据id查询角色信息，以及该角色下的用户列表
     * @param id
     * @return
     */
    SysRole findById(Integer id);

    /**
     * 多对多查询，查询角色以及其关联的菜单
     * @param roleId
     * @return
     */
    SysRole findRoleWithMenus(Integer roleId);
}
